org.gnome.gtk

## Class CalendarDisplayOptions

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.bindings.Flag
    - - org.gnome.gtk.CalendarDisplayOptions

-     public final class CalendarDisplayOptions
      extends org.freedesktop.bindings.Flag

  These options are used to modify the display and behaviour of a `Calendar` Widget.

  You can specify one or several of these using the method `setDisplayOptions()` in Calendar.

  Since:
    4.0.3
  Author:
    Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CalendarDisplayOptions` | `NO_MONTH_CHANGE` Prevents the user from switching months (and years) with the Calendar widget, forcing it to display only whichever month has been set by the programmer.
    `static CalendarDisplayOptions` | `SHOW_DAY_NAMES` Whether to show the names of the days in the Calendar.
    `static CalendarDisplayOptions` | `SHOW_HEADING` When set the Calendar will display a heading showing with the current year and month.
    `static CalendarDisplayOptions` | `SHOW_WEEK_NUMBERS` Displays the week number (relative to the start of the current year) down the left side of the Calendar.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CalendarDisplayOptions` | `or(CalendarDisplayOptions one, CalendarDisplayOptions two)` Returns a CalendarDisplayOptions object that contains all options specified by the two given arguments.

    - ### Methods inherited from class org.freedesktop.bindings.Flag

      `contains`

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NO_MONTH_CHANGE

          public static final CalendarDisplayOptions NO_MONTH_CHANGE

      Prevents the user from switching months (and years) with the Calendar widget, forcing it to display only whichever month has been set by the programmer.

    - #### SHOW_DAY_NAMES

          public static final CalendarDisplayOptions SHOW_DAY_NAMES

      Whether to show the names of the days in the Calendar. The default is for them not to appear.

    - #### SHOW_HEADING

          public static final CalendarDisplayOptions SHOW_HEADING

      When set the Calendar will display a heading showing with the current year and month.

      So long as `NO_MONTH_CHANGE` is not specified, the user can change both the month and the year shown in the Calendar using little arrows that will appear in the header.

    - #### SHOW_WEEK_NUMBERS

          public static final CalendarDisplayOptions SHOW_WEEK_NUMBERS

      Displays the week number (relative to the start of the current year) down the left side of the Calendar.

  - ### Method Detail

    - #### or

          public static CalendarDisplayOptions or(CalendarDisplayOptions one,
                                  CalendarDisplayOptions two)

      Returns a CalendarDisplayOptions object that contains all options specified by the two given arguments. It can be thought as the logical OR between the two Flags.